You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     l...@freebsd.org
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/security/medusa/Makefile 340722 2014-01-22 
17:00:46Z mat $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-02_21h45m35s/logs/medusa-2.1_1.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2014-05-02_21h45m35s
Log:

====>> Building security/medusa
build started at Sat May  3 11:46:15 UTC 2014
port directory: /usr/ports/security/medusa
building for: FreeBSD head-amd64-default-job-09 11.0-CURRENT FreeBSD 
11.0-CURRENT r264257 amd64
maintained by: l...@freebsd.org
Makefile ident:      $FreeBSD: head/security/medusa/Makefile 340722 2014-01-22 
17:00:46Z mat $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1100018




!!! Jail is newer than host. (Jail: 1100018, Host: 1100013) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
OSVERSION=1100018
UNAME_v=FreeBSD 11.0-CURRENT r264257
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=52147
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=medusa-2.1_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/head-amd64-default/ref/poudriere/pool
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for medusa-2.1_1:
     DOCS=on: Build and/or install documentation
     PGSQL=off: PostgreSQL database support
     SVN=off: Subversion support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--enable-module-ncp=no --enable-module-afp=no --enable-module-svn=no 
--enable-module-postgres=no --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
SVN="@comment
"
POSTGRESQL="@comment
"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
DOCSDIR="share/doc/medusa"
EXAMPLESDIR="share/examples/medusa"
DATADIR="share/medusa"
WWWDIR="www/medusa"
ETCDIR="etc/medusa"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/medusa
DOCSDIR=/usr/local/share/doc/medusa
EXAMPLESDIR=/usr/local/share/examples/medusa
WWWDIR=/usr/local/www/medusa
ETCDIR=/usr/local/etc/medusa
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for medusa-2.1_1
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   medusa-2.1_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of medusa-2.1_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by medusa-2.1_1 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by medusa-2.1_1 for building
=> SHA256 Checksum OK for medusa-2.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by medusa-2.1_1 for building
===>  Extracting for medusa-2.1_1
=> SHA256 Checksum OK for medusa-2.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for medusa-2.1_1
===========================================================================
=======================<phase: build-depends  >============================
===========================================================================
=======================<phase: lib-depends    >============================
===>   medusa-2.1_1 depends on shared library: ssh2 - not found
===>    Verifying install for ssh2 in /usr/ports/security/libssh2
===>   Installing existing package /packages/All/libssh2-1.4.3_2,2.txz
Installing libssh2-1.4.3_2,2... done
===>   Returning to build of medusa-2.1_1
===>   medusa-2.1_1 depends on shared library: pcre - not found
===>    Verifying install for pcre in /usr/ports/devel/pcre
===>   Installing existing package /packages/All/pcre-8.34.txz
Installing pcre-8.34... done
===>   Returning to build of medusa-2.1_1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for medusa-2.1_1
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/security/medusa/work/medusa-2.1/aclocal.m4
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/security/medusa/work/medusa-2.1/configure
configure: loading site script /usr/ports/Templates/config.site
checking build system type... amd64-portbld-freebsd11.0
checking host system type... amd64-portbld-freebsd11.0
checking target system type... amd64-portbld-freebsd11.0
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of cc... gcc3
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking size of int... 4
checking size of long... 8
checking size of long long... 8
checking size of short... 2
checking whether to enable debugging... yes
configure: checking for pthread support...
checking for main in -lpthread... yes
configure: checking for dlopen/dlclose...
checking for dlclose in -ldl... no
checking for dlclose in -lc... yes
checking for library containing clock_gettime... none required
checking for clock_gettime... (cached) yes
configure: checking for OpenSSL Library and Header files...
checking for CRYPTO_lock in -lcrypto... yes
checking openssl/ssl.h usability... yes
checking openssl/ssl.h presence... yes
checking for openssl/ssl.h... yes
checking for main in -lssl... yes
configure: *** Checking module dependencies and enabling accordingly ***
configure: checking for AFPFS-NG Library and Header files...
checking afpfs-ng/afp_protocol.h usability... no
checking afpfs-ng/afp_protocol.h presence... no
checking for afpfs-ng/afp_protocol.h... no
configure: WARNING:  *** AFPFS-NG header files required for AFP module. ***

    The AFPFS-NG package must be installed for the AFP module to function. This 
includes
    both the library and header files. AFPFS-NG is available at the following 
site:
    http://alexthepuffin.googlepages.com/. The AFP module will NOT be built.

  
checking whether to enable AFP module... no
checking whether to enable CVS module... yes
checking whether to enable FTP module... yes
checking whether to enable HTTP module... yes
checking whether to enable IMAP module... yes
checking whether to enable MSSQL module... yes
checking whether to enable MYSQL module... yes
configure: checking for NCPFS Library and Header files...
checking ncp/nwcalls.h usability... no
checking ncp/nwcalls.h presence... no
checking for ncp/nwcalls.h... no
configure: WARNING:  *** NCPFS header files required for NCP module. ***

    The NCPFS package must be installed for the NCP module to function. This 
includes
    both the library and header files. If your distribution does not include 
these
    files or offer a ncpfs-devel package, the files can be manually installed 
using
    "make install-dev" within the NCPFS source. The NCP module will NOT be 
built.

  
checking whether to enable NCP module... no
checking whether to enable NNTP module... yes
checking whether to enable PCANYWHERE module... yes
checking whether to enable POP3 module... yes
configure: checking for PostgreSQL Library and Header files...
checking libpq-fe.h usability... no
checking libpq-fe.h presence... no
checking for libpq-fe.h... no
configure: WARNING:  *** LIBPQ header files required for PostgreSQL module. ***

      The PostgreSQL package must be installed for PostgreSQL module to 
function. This
      includes both the library and header files. Your distribution may offer a 
package
      such as libpq-devel or postgresql-devel, which will provide these files.

  
checking whether to enable POSTGRES module... no
checking whether to enable REXEC module... yes
checking whether to enable RLOGIN module... yes
checking whether to enable RSH module... yes
checking whether to enable SMBNT module... yes
checking whether to enable SMTP module... yes
checking whether to enable SMTP-VRFY module... yes
checking whether to enable SNMP module... yes
configure: checking for Libssh2 Library files...
checking for main in -lssh2... yes
checking whether to enable SSH module... yes
configure: checking for Subversion Library and Header files...
checking for apr-1-config... no
checking for apr-config... no
configure: WARNING:  *** apr-config/apr-1-config not found and required for SVN 
module ***

      Make sure to install libapr1-dev or whatever package your distribution 
uses
      to distribute this file.

    
checking whether to enable SVN module... no
checking whether to enable TELNET module... yes
checking whether to enable VMAUTHD module... yes
checking whether to enable VNC module... yes
checking whether to enable WRAPPER module... yes
checking whether to enable WEB-FORM module... yes
configure: 
configure: *******************************************************
configure:     Medusa Module Build Summary
configure: 
configure:     AFP             ** Disabled **
configure:     CVS             Enabled
configure:     FTP             Enabled
configure:     HTTP            Enabled
configure:     IMAP            Enabled
configure:     MSSQL           Enabled
configure:     MYSQL           Enabled
configure:     NCP             ** Disabled **
configure:     NNTP            Enabled
configure:     PCANYWHERE      Enabled
configure:     POP3            Enabled
configure:     POSTGRES        ** Disabled **
configure:     REXEC           Enabled
configure:     RLOGIN          Enabled
configure:     RSH             Enabled
configure:     SMBNT           Enabled
configure:     SMTP            Enabled
configure:     SMTP-VRFY       Enabled
configure:     SNMP            Enabled
configure:     SSH             Enabled
configure:     SVN             ** Disabled **
configure:     TELNET          Enabled
configure:     VMAUTHD         Enabled
configure:     VNC             Enabled
configure:     WRAPPER         Enabled
configure:     WEB-FORM        Enabled
configure: 
configure:  If a module is unexpectedly marked as disabled, check 
configure:  above output and verify dependancies were satisfied. 
configure: 
configure:  It should also be noted that, by default, not all of 
configure:  the modules are built. Incomplete modules or modules 
configure:  which have not been sufficiently tested may be 
configure:  disabled. To enable non-default modules, use the 
configure:  "--enable-module-MODULE_NAME" configure option.
configure: *******************************************************
configure: 
checking for strcasestr... yes
checking for asprintf... (cached) yes
checking for vasprintf... (cached) yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating src/modsrc/Makefile
config.status: creating config.h
config.status: executing depfiles commands
===========================================================================
=======================<phase: build          >============================
===>  Building for medusa-2.1_1
/usr/bin/make  all-recursive
Making all in src
Making all in modsrc
cc -DHAVE_CONFIG_H -I. -I../.. -I../../src    -g -DDEBUG -fPIC -I/usr/include 
-I/usr/local/include -I/usr/local/ssl/include -I/usr/include/postgresql 
-I/usr/include/pgsql -I/usr/include/afpfs-ng  -O2 -pipe  -fno-strict-aliasing 
-MT cvs.o -MD -MP -MF .deps/cvs.Tpo -c -o cvs.o cvs.c
cvs.c:84:5: warning: implicit declaration of function 'writeError' is invalid 
in C99 [-Wimplicit-function-declaration]
    writeError(ERR_ERROR, "%s reports an error in summaryUsage() : ppszSummary 
must be NULL when called", MODULE_NAME);
    ^
cvs.c:92:3: warning: implicit declaration of function 'writeVerbose' is invalid 
in C99 [-Wimplicit-function-declaration]
  writeVerbose(VB_NONE, "%s (%s) %s :: %s\n", MODULE_NAME, MODULE_VERSION, 
MODULE_AUTHOR, MODULE_SUMMARY_USAGE);
  ^
cvs.c:165:7: warning: implicit declaration of function 'getNextCredSet' is 
invalid in C99 [-Wimplicit-function-declaration]
  if (getNextCredSet(psLogin, psCredSet) == FAILURE)
      ^
cvs.c:360:3: warning: implicit declaration of function 'setPassResult' is 
invalid in C99 [-Wimplicit-function-declaration]
  setPassResult((*psLogin), szPassword);
  ^
4 warnings generated.
mv -f .deps/cvs.Tpo .deps/cvs.Po
cc -DHAVE_CONFIG_H -I. -I../.. -I../../src   -g -DDEBUG -fPIC -I/usr/include 
-I/usr/local/include -I/usr/local/ssl/include -I/usr/include/postgresql 
-I/usr/include/pgsql -I/usr/include/afpfs-ng  -O2 -pipe  -fno-strict-aliasing 
-MT medusa-trace.o -MD -MP -MF .deps/medusa-trace.Tpo -c -o medusa-trace.o 
`test -f '../medusa-trace.c' || echo './'`../medusa-trace.c
mv -f .deps/medusa-trace.Tpo .deps/medusa-trace.Po
cc  -O2 -pipe  -fno-strict-aliasing -module -fPIC  -L/usr/local/lib -rdynamic 
-o cvs.mod cvs.o medusa-trace.o -lssh2 -shared -lcrypto -lc -lpthread  -lssl 
-lcrypto -lm
cc: error: unknown argument: '-module'
*** Error code 1

Stop.
make[4]: stopped in 
/wrkdirs/usr/ports/security/medusa/work/medusa-2.1/src/modsrc
*** Error code 1

Stop.
make[3]: stopped in /wrkdirs/usr/ports/security/medusa/work/medusa-2.1/src
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/security/medusa/work/medusa-2.1
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/security/medusa/work/medusa-2.1
*** Error code 1

Stop.
make: stopped in /usr/ports/security/medusa
===>  Cleaning for medusa-2.1_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to